Page MenuHomePhabricator

merge: add a config option to disable path conflict checking
ClosedPublic

Authored by sid0 on Oct 23 2017, 7:45 PM.

Details

Summary

We've found a severe perf regression in hg update caused by the path conflict
checking code. The next patch will disable this by default.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sid0 created this revision.Oct 23 2017, 7:45 PM

The debug section doesn't seem to exists, could we use 'experimental' instead while we fix the performance regression?

sid0 updated this revision to Diff 3081.Oct 24 2017, 3:08 PM
sid0 added a comment.Oct 24 2017, 3:08 PM

The debug section doesn't seem to exists, could we use 'experimental' instead while we fix the performance regression?

Good idea! Done, thanks!

durin42 accepted this revision.Oct 30 2017, 5:09 PM
This revision is now accepted and ready to land.Oct 30 2017, 5:09 PM
This revision was automatically updated to reflect the committed changes.